var KeyWords = $("#KeyWords").val();
var starttime = $("#startTime").val();
var endtime = $("#endTime").val();
var userid = $("#selusers").val();
var fpstate = $("#selfpstate").val();
var hcstate = $("#selhjstate").val();
var hfstate = $("#selhfstate").val();
var jtstate = $("#seljtstate").val();
var hjjg = $("#selhjjg").val();
var TelID;
var phone;
var Ly;
var Lys;
var $tableLeft = $('#tbResult');
var $tableLeft1 = $('#Result');
var $tableLeft2 = $('#thjl_tabs');
var token = $.cookie("token");
var IDs;
$(document).ready(function() {
	Finish();
	GetSeat();
	GetHJJG();
	GetWTKHFL();
});
/*通用ajax*/
function Finish() {
	//销毁表格
	$tableLeft.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "VisitTelphone/GetResultList",
		//		url: "huifang.json",
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 8, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [8, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				key: $("#KeyWords").val(),
				token: token,
				userid: $("#selusers").val(),
				fpstate: $("#selfpstate").val(),
				hcstate: $("#selhjstate").val(),
				hfstate: $("#selhfstate").val(),
				starttime: $("#startTime").val(),
				endtime: $("#endTime").val(),
				jtstate: $("#seljtstate").val(),
				hjjg: $("#selhjjg").val(),
				prosdate: $("#prosTime").val(),
				proedate: $("#proeTime").val(),
				qtype: $("#wtkhfl").val(),
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//								layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}
//分配状态
function GetfpStateName(val) {
	var str = '';
	switch(val + '') {
		case 'false':
			str = "未分配";
			break;
		case 'true':
			str = "已分配";
			break;
	}
	return str;
}
//呼叫状态
function GethjStateName(val) {
	var str = '';
	switch(val + '') {
		case 'false':
			str = "未呼叫";
			break;
		case 'true':
			str = "已呼叫";
			break;
	}
	return str;
}
//接通状态
function GetjtStateName(val) {
	var str = '';
	switch(val + '') {
		case 'false':
			str = "未接通";
			break;
		case 'true':
			str = "已接通";
			break;
	}
	return str;
}
//回访状态
function GethfStateName(val) {
	var str = '';
	switch(val + '') {
		case 'false':
			str = "未回访";
			break;
		case 'true':
			str = "已回访";
			break;
	}
	return str;
}
//通话记录
function TelIDs(val, row) {
	return '<div class="looks"  onclick= cl(' + row.F_TelID + ')>查看' +
		'</div>'
}
//电话
function CusTelphone(val, row) {
	return '<div class="imgs" onclick= ck(' + row.F_TelID + ')>' +
		'<img src="../img/vice.png" />' + val + '' +
		'</div>';
}
//序号
function Pai(value, row, index) {
	return index + 1;
}
//限制字符串长度
function cutContent(val) {
	if(val) {
		var str = '<div '
		if(val.length > 3) {
			str = str + ' title="' + val + '" ';
			val = val.substr(0, 3) + "...";
		}
		return str + '>' + val + '</div>';
	} else {
		return '';
	}
}
//搜索
$(".searchGo").click(function() {
	Finish();
});
//获取坐席列表
function GetSeat() {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "UserAccount/GetSeatList",
		dataType: 'json',
		async: true,
		data: {
			token: token
		},
		success: function(data) {
			var Count = data.data;
			$("<option value=''>--全部--</option>").appendTo($("#selusers"));
			for(var i = 0; i < Count.length; i++) {
				//console.log(Count[i].F_UserName);
				$("<option value='" + Count[i].F_UserId + "'>" + Count[i].F_UserName + "</option>").appendTo($("#selusers"));
			}
		}
	});
}

//获取呼叫结果
function GetHJJG() {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
		dataType: 'json',
		data: {
			flag: 'HJJG',
			token: token
		},
		async: true,
		success: function(data) {
			var Count = data.data;
			$("<option value=''>--全部--</option>").appendTo($("#selhjjg"));
			for(var i = 0; i < Count.length; i++) {
				console.log(Count[i].F_UserName);
				$("<option value='" + Count[i].F_DictionaryValueId + "'>" + Count[i].F_Name + "</option>").appendTo($("#selhjjg"));
				$("<li><label for=''><input type='radio' name='check' value='" + Count[i].F_DictionaryValueId + "' /></label>" + Count[i].F_Name + "</li>").
				appendTo($("#Tgetruset"));
			}
		}
	});
}
//获取问题客户分类
function GetWTKHFL() {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
		dataType: 'json',
		data: {
			flag: 'WTKHFL',
			token: token
		},
		async: true,
		success: function(data) {
			var Count = data.data;
			$("<option value=''>--全部--</option>").appendTo($("#wtkhfl"));
			$("<option value=''></option>").appendTo($("#QfenLei"));
			for(var i = 0; i < Count.length; i++) {
				console.log(Count[i].F_UserName);
				$("<option value='" + Count[i].F_DictionaryValueId + "'>" + Count[i].F_Name + "</option>").appendTo($("#wtkhfl"));
				$("<option value='" + Count[i].F_DictionaryValueId + "'>" + Count[i].F_Name + "</option>").appendTo($("#QfenLei"));

			}
		}
	});
}
//关闭阴影
$(".setwin").click(function() {
	$(".shark").hide();
});
//点击弹窗
function ck(str) {
	$(".shark").show();
	$(".thjl").addClass("yc");
	$(".phone_message").removeClass("yc");
	$(".phoneid").val(str);
	Hvisit();
	Hfjl();
}
//通话记录弹屏
function cl(id) {
	$(".shark").show();
	$(".phone_message").addClass("yc");
	$(".thjl").removeClass("yc");
	Thju();
}
////点击每行获取详情
//$('#tbResult').on("click-row.bs.table", function(e, row, ele) {
//	TelID = row.F_TelID;
//	console.log(TelID);
//	Hvisit(TelID);
//	Hfjl(TelID);
//	Thju(TelID);
//});
//回访详情
function Hvisit() {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "/VisithfOpt/GetInfo",
		//url: "js/hfxq.json",
		dataType: 'json',
		async: true,
		data: {
			token: token,
			telid: $(".phoneid").val() //回访电话ID
		},
		success: function(data) {
			var content = data.data;
			console.log(content);
			$(".CusTelphone").text(content.F_CusTelphone);
			$(".CusPhone").text(content.F_CusPhone);
			$(".CusName").text(content.F_CusName);
			$(".License").text(content.F_License);
			$(".Store").text(content.F_Store);
			$(".Prodate").text(content.F_Prodate);
			$(".Brand").text(content.F_Brand);
			$(".Models").text(content.F_Models);
			$(".RepType").text(content.F_RepType);
			$(".RepItem").text(content.F_RepItem);
			$(".Elect").text(content.F_Elect);
			$(".Sheetmetal").text(content.F_Sheetmetal);
			$(".Paint").text(content.F_Paint);
			$(".RepUser").text(content.F_RepUser);
			$(".NewCus").text(content.F_NewCus);
			$(".Remark").text(content.F_Remark);
			$(".Reciver").text(content.F_Reciver);
			$(".RScore").text(content.F_RScore);
			$(".TheTeam").text(content.F_TheTeam);
			$(".TScore").text(content.F_TScore);
			$(".RingS").text(content.F_RingS);
			$(".WoNumber").text(content.F_WoNumber);
			$(".TotalS").text(content.F_TotalS);
			$(".VisResult").text(content.F_VisResult);
			$(".VisIS").text(content.F_VisIS);
			$(".VisInfo").val(content.F_VisInfo);
			$(".phoneid").val(content.F_TelID);
			$(".hjjg_").val(content.F_CallRes);
			$(".QuestionType").text(content.F_QuestionType);
		}
	});
}

//回访记录列表
function Hfjl(id) {
	//销毁表格
	$tableLeft1.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft1.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "VisitRecords/GetList",
		//url: "js/hflb.json",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 10, 50, 100], //记录数可选列表
		contentType: 'application/x-www-form-urlencoded',
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				token: token,
				telid: $(".phoneid").val()
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//          								layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//呼叫状态
function Iscall(val) {
	var str = '';
	switch(val + '') {
		case '0':
			str = "未呼叫";
			break;
		case '1':
			str = "已呼叫";
			break;
	}
	return str;
}
//接通状态
function Iscallres(val) {
	var str = '';
	switch(val + '') {
		case '0':
			str = "未接通";
			break;
		case '1':
			str = "已接通";
			break;
	}
	return str;
}
//回访状态
function Hfstate(val) {
	var str = '';
	switch(val + '') {
		case '0':
			str = "未回访";
			break;
		case '1':
			str = "已回访";
			break;
	}
	return str;
}
//通话记录
function Thju() {
	//销毁表格
	$tableLeft2.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft2.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		//      url: huayi.config.callcenter_url + "VisitRecords/GetTelList",
		url: "js/thjl.json",
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 1, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [1, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				telid: $(".phoneid").val(),
				token: token,
				phone: phone
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//								layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//音频
function setCode(val) {
	if(val == "") {
		return '<div class="imgs vice">' +
			'</div>';
	} else {
		return '<div class="vices" onclick= vice("' + val + '")>' +
			'<img src="../img/vice.png" alt=""  />' +
			'</div>';
	}

}
//方向呼出
function callType(val) {
	return '<div class="imgs">呼出' +
		'</div>';

}

function states(val) {
	if(val == 0) {
		return '<div class="imgs">未接通' +
			'</div>';
	} else {
		return '<div class="imgs">已接通' +
			'</div>';
	}

}
//回访
function dealType(val) {
	if(val == 1) {
		return '<div >已回访' +
			'</div>';
	} else {
		return '<div >' +
			'</div>';
	}

}
//处理
function isDeal(val) {
	if(val == 0) {
		return '<div >未处理' +
			'</div>';
	} else {
		return '<div >已处理' +
			'</div>';
	}

}
//录音
function vice(val) {
	Ly = val;
	$(".shade_ks").removeClass("yc");
	Lys = Ly;
	$(".Ly_box").html("");
	$('<audio class=" " src="' + Lys + '" loop="loop"></audio>').appendTo(".Ly_box");
	audiojs.events.ready(function() {
		var as = audiojs.createAll();
	});

}
//搜索
$(".thjl_s").click(function() {
	phone = $("#th_phone").val();
	Thju(phone);
})
/*获取选中行对象*/
$('#tbResult').on("click-row.bs.table", function(e, row, ele) {
	$('.success').removeClass('success'); //去除之前选中的行的，选中样式					
	IDs = row.F_TelID;
	console.log(IDs);
	$(ele).addClass('success'); //添加当前选中的 success样式用于区别
});
//重新编辑
$(".Cxbianji").click(function() {
	if(IDs) {
		$('.BianJI').show();
		Hvisit1();
	} else {
		layer.confirm('请选择行！', {
			btn: ['确定']
		});
		return;
	}
})
//回访详情
function Hvisit1() {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "/VisithfOpt/GetInfo",
		//url: "js/hfxq.json",
		dataType: 'json',
		async: true,
		data: {
			token: token,
			telid: IDs //回访电话ID
		},
		success: function(data) {
			var content = data.data;
			console.log(content);
			$(".CusTelphone").text(content.F_CusTelphone);
			$(".CusPhone").text(content.F_CusPhone);
			$(".CusName").text(content.F_CusName);
			$(".License").text(content.F_License);
			$(".Store").text(content.F_Store);
			$(".Prodate").text(content.F_Prodate);
			$(".Brand").text(content.F_Brand);
			$(".Models").text(content.F_Models);
			$(".RepType").text(content.F_RepType);
			$(".RepItem").text(content.F_RepItem);
			$(".Elect").text(content.F_Elect);
			$(".Sheetmetal").text(content.F_Sheetmetal);
			$(".Paint").text(content.F_Paint);
			$(".RepUser").text(content.F_RepUser);
			$(".NewCus").text(content.F_NewCus);
			$(".Remark").text(content.F_Remark);
			$(".Reciver").text(content.F_Reciver);
			$(".RScore").text(content.F_RScore);
			$(".TheTeam").text(content.F_TheTeam);
			$(".TScore").text(content.F_TScore);
			$(".RingS").text(content.F_RingS);
			$(".WoNumber").text(content.F_WoNumber);
			$(".TotalS").text(content.F_TotalS);
			$(".VisResult").text(content.F_VisResult);
			$(".VisIS").text(content.F_VisIS);
			$(".VisInfo").val(content.F_VisInfo);
			$(".phoneid").val(content.F_TelID);
			$(".hjjg_").val(content.F_CallRes);
			$(".QuestionType").text(content.F_QuestionType);
		}
	});
}
$(".setwins").click(function() {
	$(".shade_ks").addClass("yc");
})
//导出
$('.export').click(function() {
	dcexcel(this);
})

function dcexcel(obj) {
	var url = huayi.config.callcenter_url + "VisitTelphone/GetResultExpt?token=" + token;
	url += "&key=" + $("#KeyWords").val() +
		"&userid=" + $("#selusers").val() +
		"&fpstate=" + $("#selfpstate").val() +
		"&hcstate=" + $("#selhjstate").val() +
		"&hfstate=" + $("#selhfstate").val() +
		"&starttime=" + $("#startTime").val() +
		"&endtime=" + $("#endTime").val() +
		"&jtstate=" + $("#seljtstate").val() +
		"&hjjg=" + $("#selhjjg").val() +
		"&prosdate=" + $("#prosTime").val() +
		"&proedate=" + $("#proeTime").val() +
		"&qtype=" + $("#wtkhfl").val();
	obj.href = url;
}

//提交表单
$("#Submit").click(function() {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "VisithfOpt/AddInfo",
		dataType: 'json',
		async: true,
		data: {
			id: $(".phoneid").val(),
			phone: $(".CusTelphone").text(),
			resid: $('#Tgetruset input[name="check"]:checked ').val(),
			hfjg: $(".hfjgs").val(), //回访结果
			hfinfo: $(".hfnrs").val(), //回访内容
			visis: $(".sfcg").val(), //是否成功
			bzscore: $(".bz").val(),
			jcyscore: $(".jb").val(),
			hjscore: $(".hjs").val(),
			ztscore: $(".zjs").val(),
			score: $(".zj").val(),
			remark: $(".bznr").val(),
			qid: $('#QfenLei').val(),
			token: token
		},
		success: function(data) {
			if(data.state == "success") {
				$(".shark").hide();
				$(".phone_message").addClass("yc");
				layer.msg("提交成功");
				Clean();
				Finish();
			}

		}
	});
})
//清楚
function Clean() {
	$(".hfjgs").val(''); //回访结果
	$(".hfnrs").val(''); //回访内容
	$(".sfcg").val(''); //是否成功
	$(".bz").val('');
	$(".jb").val('');
	$(".hjs").val('');
	$(".zjs").val('');
	$(".zj").val('');
	$(".bznr").val('');
}